Subject: Re: [PATCH 2/2 v4] Git.pm: add test suite

From: Lea Wiemann <[email-masked]>
Date: Wed, 18 Jun 2008 20:04:50 +0200

Junio C Hamano wrote:
> The system I first tried this did not have IO::String installed.

My bad, I should've checked this before sending it off.  I guess we'll 
solve this in Michael's patch thread; don't expect a reply from me in 
the next 12h though, I'm way tired and utterly unproductive right now.

> [test_external:] Can it become a bit easier to tell such a basic
> problem apart from real test errors?  I needed to look into
> /tmp/* to see where it is failing

Hm, is your test output somehow different from the following?  It states 
the error quite clearly at the bottom.

$ ./t9700-perl-git.sh -v
* expecting success: echo "test file 1" > file1 &&
      echo "test file 2" > file2 &&
      [...]
      git-config --add test.int 2k

*   ok 1: set up test repository
[...]
*  run 2: Perl API (perl ../t9700/test.pl)
* FAIL 2: Perl API
	perl ../t9700/test.pl
* expecting no stderr from previous command
* FAIL 3: no stderr: Perl API
	perl ../t9700/test.pl
	Stderr is:
	Can't locate IO/String.pm in @INC (@INC contains: 
/home/lea/G/t/../perl/blib/lib /home/lea/G/t/../perl/blib/arch/auto/Git 
/home/lea/.perl/lib /etc/perl /usr/local/lib/perl/5.10.0 
/usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 
/usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at 
../t9700/test.pl line 12.
	BEGIN failed--compilation aborted at ../t9700/test.pl line 12.
	# Looks like your test died before it could output anything.
* failed 2 among 3 test(s)

-- Lea